Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DisplayRegionList Class Reference
Inheritance diagram for DisplayRegionList:

## Public Member Functions
| __init__ (self)
| __getitem__ (self, index)
| __len__ (self)
| addDisplayRegionContext (self, cam)
| contextTask (self, state)
| getCurrentDr (self)
| mouseUpdate (self, modifiers=DIRECT_NO_MOD)
| removeContextTask (self)
| removeDisplayRegionContext (self, cam)
| setFar (self, far)
| setFov (self, hfov, vfov)
| setHfov (self, fov)
| setNear (self, near)
| setNearFar (self, near, far)
| setVfov (self, fov)
| spawnContextTask (self)
| start (self)
| stop (self)
| updateContext (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| contextTask
list | displayRegionList = []
| mouseUpdate = DisplayRegionContext(cam)
bool | tryToGetCurrentDr = True

## Additional Inherited Members
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self | ) |

## Member Function Documentation

## ◆ __getitem__()

__getitem__ | ( |  | self,
|  |  | index )

## ◆ __len__()

__len__ | ( |  | self | ) |

## ◆ addDisplayRegionContext()

addDisplayRegionContext | ( |  | self,
|  |  | cam )

## ◆ contextTask()

contextTask | ( |  | self,
|  |  | state )

## ◆ getCurrentDr()

getCurrentDr | ( |  | self | ) |

## ◆ mouseUpdate()

mouseUpdate | ( |  | self,
|  |  | modifiers = DIRECT_NO_MOD )

## ◆ removeContextTask()

removeContextTask | ( |  | self | ) |

## ◆ removeDisplayRegionContext()

removeDisplayRegionContext | ( |  | self,
|  |  | cam )

## ◆ setFar()

setFar | ( |  | self,
|  |  | far )

## ◆ setFov()

setFov | ( |  | self,
|  |  | hfov,
|  |  | vfov )

## ◆ setHfov()

setHfov | ( |  | self,
|  |  | fov )

## ◆ setNear()

setNear | ( |  | self,
|  |  | near )

## ◆ setNearFar()

setNearFar | ( |  | self,
|  |  | near,
|  |  | far )

## ◆ setVfov()

setVfov | ( |  | self,
|  |  | fov )

## ◆ spawnContextTask()

spawnContextTask | ( |  | self | ) |

## ◆ start()

start | ( |  | self | ) |

## ◆ stop()

stop | ( |  | self | ) |

## ◆ updateContext()

updateContext | ( |  | self | ) |

## Member Data Documentation

## ◆ contextTask

contextTask

## ◆ displayRegionList

displayRegionList = []

## ◆ mouseUpdate

mouseUpdate = DisplayRegionContext(cam)

## ◆ tryToGetCurrentDr

bool tryToGetCurrentDr = True